local t = Def.ActorFrame{
	Def.ActorFrame{
		BeginCommand=cmd(y,SCREEN_BOTTOM-35);
		LoadActor("p1ab")..{
			Condition=not GAMESTATE:IsHumanPlayer(PLAYER_1);
			InitCommand=cmd(x,(SCREEN_CENTER_X*0.575)-50;);
			OnCommand=cmd(zoomy,0;linear,0.3;zoomy,1;);
			OffCommand=cmd(stoptweening;linear,0.3;zoomy,0;);
		};
		
		LoadActor("p2ab")..{
			Condition=not GAMESTATE:IsHumanPlayer(PLAYER_2);
			InitCommand=cmd(x,(SCREEN_CENTER_X*1.425)+49);
			OnCommand=cmd(zoomy,0;linear,0.3;zoomy,1;);
			OffCommand=cmd(stoptweening;linear,0.3;zoomy,0;);
		};
	};

	Def.ActorFrame{
		BeginCommand=cmd(y,SCREEN_BOTTOM-35);
		Def.ActorFrame{
			Condition=GAMESTATE:IsHumanPlayer(PLAYER_1);
			InitCommand=cmd(x,(SCREEN_CENTER_X*0.575)-50;);
			LoadActor("p1at")..{
				OnCommand=cmd(zoomy,0;linear,0.3;zoomy,1;);
				OffCommand=cmd(stoptweening;linear,0.3;zoomy,0;);
			};
			LoadActor("lamp")..{
				InitCommand=cmd(y,-2;);
				OnCommand=cmd(diffusealpha,0;glow,color("0,0,0,0");queuecommand,"Repeat";);
				RepeatCommand=cmd(sleep,6;linear,0.05;diffusealpha,1;glow,color("1,1,0,1");decelerate,2.5;diffusealpha,0;glow,color("0,0,0,0");queuecommand,"Repeat";);
				OffCommand=cmd(stoptweening;);
			};
		};

		Def.ActorFrame{
			Condition=GAMESTATE:IsHumanPlayer(PLAYER_2);
			InitCommand=cmd(x,(SCREEN_CENTER_X*1.425)+49);
			LoadActor("p2at")..{
				OnCommand=cmd(zoomy,0;linear,0.3;zoomy,1;);
				OffCommand=cmd(stoptweening;linear,0.3;zoomy,0;);
			};
			LoadActor("lamp")..{
				InitCommand=cmd(y,-2;rotationy,180;);
				OnCommand=cmd(diffusealpha,0;queuecommand,"Repeat";);
				RepeatCommand=cmd(sleep,6;linear,0.05;diffusealpha,1;glow,color("1,1,0,1");decelerate,2.5;diffusealpha,0;glow,color("0,0,0,0");queuecommand,"Repeat";);
				OffCommand=cmd(stoptweening;);
			};
		};
	};
};

return t;